# rtsp mount points

A GstRTSPMountPoints object maintains a relation between paths and GstRTSPMediaFactory objects. This object is usually given to GstRTSPClient and used to find the media attached to a path.

With gst_rtsp_mount_points_add_factory () and gst_rtsp_mount_points_remove_factory, factories can be added and removed.

With gst_rtsp_mount_points_match you can find the GstRTSPMediaFactory object that completely matches the given path.

Last reviewed on 2013-07-11 (1.0.0)

## GstRTSPMountPoints

    GObject
        ╰──GstRTSPMountPoints

Creates a GstRTSPMediaFactory object for a given url.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPMountPointsClass

The class for the media mounts object.

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPMountPointsClass

The class for the media mounts object.

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPMountPointsClass

The class for the media mounts object.

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPMountPoints

    GObject.Object
        ╰──GstRtspServer.RTSPMountPoints

Creates a GstRtspServer.RTSPMediaFactory object for a given url.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPMountPoints

    GObject.Object
        ╰──GstRtspServer.RTSPMountPoints

Creates a GstRtspServer.RTSPMediaFactory object for a given url.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_mount_points_new

    GstRTSPMountPoints *
    gst_rtsp_mount_points_new ()

Make a new mount points object.

Returns ( [transfer: full]) –

a new GstRTSPMountPoints

#### GstRtspServer.RTSPMountPoints.prototype.new

    function GstRtspServer.RTSPMountPoints.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_mount_points_new'
    }

Make a new mount points object.

Returns (GstRtspServer.RTSPMountPoints) –

a new GstRtspServer.RTSPMountPoints

#### GstRtspServer.RTSPMountPoints.new

    def GstRtspServer.RTSPMountPoints.new ():
        #python wrapper for 'gst_rtsp_mount_points_new'

Make a new mount points object.

Returns (GstRtspServer.RTSPMountPoints) –

a new GstRtspServer.RTSPMountPoints

### Methods

#### gst_rtsp_mount_points_add_factory

    gst_rtsp_mount_points_add_factory (GstRTSPMountPoints * mounts,
                                       const gchar * path,
                                       GstRTSPMediaFactory * factory)

Attach factory to the mount point path in mounts.

path is either of the form (/node)+ or the root path '/'. (An empty path is not allowed.) Any previous mount point will be freed.

Ownership is taken of the reference on factory so that factory should not be used after calling this function.

Parameters:

`mounts` –

a GstRTSPMountPoints

`path` –

a mount point

`factory` ( [transfer: full]) –

a GstRTSPMediaFactory

#### GstRtspServer.RTSPMountPoints.prototype.add_factory

    function GstRtspServer.RTSPMountPoints.prototype.add_factory(path: String, factory: GstRtspServer.RTSPMediaFactory): {
        // javascript wrapper for 'gst_rtsp_mount_points_add_factory'
    }

Attach factory to the mount point path in mounts.

path is either of the form (/node)+ or the root path '/'. (An empty path is not allowed.) Any previous mount point will be freed.

Ownership is taken of the reference on factory so that factory should not be used after calling this function.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`path` (String) –

a mount point

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

#### GstRtspServer.RTSPMountPoints.add_factory

    def GstRtspServer.RTSPMountPoints.add_factory (self, path, factory):
        #python wrapper for 'gst_rtsp_mount_points_add_factory'

Attach factory to the mount point path in mounts.

path is either of the form (/node)+ or the root path '/'. (An empty path is not allowed.) Any previous mount point will be freed.

Ownership is taken of the reference on factory so that factory should not be used after calling this function.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`path` (str) –

a mount point

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

#### gst_rtsp_mount_points_make_path

    gchar *
    gst_rtsp_mount_points_make_path (GstRTSPMountPoints * mounts,
                                     const GstRTSPUrl * url)

Make a path string from url.

Parameters:

`mounts` –

a GstRTSPMountPoints

`url` –

a GstRTSPUrl

Returns ( [transfer: full][nullable]) –

a path string for url, g_free after usage.

#### GstRtspServer.RTSPMountPoints.prototype.make_path

    function GstRtspServer.RTSPMountPoints.prototype.make_path(url: GstRtsp.RTSPUrl): {
        // javascript wrapper for 'gst_rtsp_mount_points_make_path'
    }

Make a path string from url.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns (String) –

a path string for url, GLib.prototype.free after usage.

#### GstRtspServer.RTSPMountPoints.make_path

    def GstRtspServer.RTSPMountPoints.make_path (self, url):
        #python wrapper for 'gst_rtsp_mount_points_make_path'

Make a path string from url.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`url` (GstRtsp.RTSPUrl) –

a GstRtsp.RTSPUrl

Returns (str) –

a path string for url, GLib.free after usage.

#### gst_rtsp_mount_points_match

    GstRTSPMediaFactory *
    gst_rtsp_mount_points_match (GstRTSPMountPoints * mounts,
                                 const gchar * path,
                                 gint * matched)

Find the factory in mounts that has the longest match with path.

If matched is NULL, path will match the factory exactly otherwise the amount of characters that matched is returned in matched.

Parameters:

`mounts` –

a GstRTSPMountPoints

`path` –

a mount point

`matched` ( [out][allow-none]) –

the amount of path matched

Returns ( [transfer: full]) –

the GstRTSPMediaFactory for path. g_object_unref after usage.

#### GstRtspServer.RTSPMountPoints.prototype.match

    function GstRtspServer.RTSPMountPoints.prototype.match(path: String): {
        // javascript wrapper for 'gst_rtsp_mount_points_match'
    }

Find the factory in mounts that has the longest match with path.

If matched is null, path will match the factory exactly otherwise the amount of characters that matched is returned in matched.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`path` (String) –

a mount point

Returns a tuple made of:

(GstRtspServer.RTSPMediaFactory ) –

the GstRtspServer.RTSPMediaFactory for path. GObject.Object.prototype.unref after usage.

`matched` (Number ) –

the GstRtspServer.RTSPMediaFactory for path. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPMountPoints.match

    def GstRtspServer.RTSPMountPoints.match (self, path):
        #python wrapper for 'gst_rtsp_mount_points_match'

Find the factory in mounts that has the longest match with path.

If matched is None, path will match the factory exactly otherwise the amount of characters that matched is returned in matched.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`path` (str) –

a mount point

Returns a tuple made of:

(GstRtspServer.RTSPMediaFactory ) –

the GstRtspServer.RTSPMediaFactory for path. GObject.Object.unref after usage.

`matched` (int ) –

the GstRtspServer.RTSPMediaFactory for path. GObject.Object.unref after usage.

#### gst_rtsp_mount_points_remove_factory

    gst_rtsp_mount_points_remove_factory (GstRTSPMountPoints * mounts,
                                          const gchar * path)

Remove the GstRTSPMediaFactory associated with path in mounts.

Parameters:

`mounts` –

a GstRTSPMountPoints

`path` –

a mount point

#### GstRtspServer.RTSPMountPoints.prototype.remove_factory

    function GstRtspServer.RTSPMountPoints.prototype.remove_factory(path: String): {
        // javascript wrapper for 'gst_rtsp_mount_points_remove_factory'
    }

Remove the GstRtspServer.RTSPMediaFactory associated with path in mounts.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`path` (String) –

a mount point

#### GstRtspServer.RTSPMountPoints.remove_factory

    def GstRtspServer.RTSPMountPoints.remove_factory (self, path):
        #python wrapper for 'gst_rtsp_mount_points_remove_factory'

Remove the GstRtspServer.RTSPMediaFactory associated with path in mounts.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

`path` (str) –

a mount point

### Virtual Methods

#### make_path

    gchar *
    make_path (GstRTSPMountPoints * mounts,
               const GstRTSPUrl * url)

make a path from the given url.

Parameters:

`mounts` –
No description available
`url` –
No description available
Returns –
No description available

#### vfunc_make_path

    function vfunc_make_path(mounts: GstRtspServer.RTSPMountPoints, url: GstRtsp.RTSPUrl): {
        // javascript implementation of the 'make_path' virtual method
    }

make a path from the given url.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (String) –
No description available

#### do_make_path

    def do_make_path (mounts, url):
        #python implementation of the 'make_path' virtual method

make a path from the given url.

Parameters:

`mounts` (GstRtspServer.RTSPMountPoints) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (str) –
No description available

## Function Macros

### GST_RTSP_MOUNT_POINTS_CAST

    #define GST_RTSP_MOUNT_POINTS_CAST(obj)         ((GstRTSPMountPoints*)(obj))

### GST_RTSP_MOUNT_POINTS_CLASS_CAST

    #define GST_RTSP_MOUNT_POINTS_CLASS_CAST(klass) ((GstRTSPMountPointsClass*)(klass))

The results of the search are